Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturaaltaspecialita.pojo
Class StrutturaAltaSpecialita

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturaaltaspecialita.pojo.StrutturaAltaSpecialita

    public class StrutturaAltaSpecialita

extends java.lang.Object

Constructor Summary
`StrutturaAltaSpecialita()`

Method Summary
`java.util.Vector<ElencoApparecchiatureResponse>` | `getElencoApparecchiature(AttributiAutorizzativi attributiAutorizzativi, ElencoApparecchiatureRequest request)` Questo servizio fornisce i dati di una o più apparecchiature di alta specializzazione presenti sul territorio regionale che soddisfano il criterio di ricerca, con individuazione della Struttura Sanitaria presso la quale è collocata la singola apparecchiatura e la data di attivazione.
`java.util.Vector<ElencoStrutturaAltaSpecResponse>` | `getElencoStrutturaAltaSpec(AttributiAutorizzativi attributiAutorizzativi, ElencoStrutturaAltaSpecRequest request)` Questo servizio restituisce i dati di una o più strutture che erogano prestazioni ad alta specialità presenti sul territorio regionale e che soddisfano i criteri di ricerca specificati.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutturaAltaSpecialita

    public StrutturaAltaSpecialita()

Method Detail

### getElencoStrutturaAltaSpec

    public java.util.Vector<ElencoStrutturaAltaSpecResponse> getElencoStrutturaAltaSpec(AttributiAutorizzativi attributiAutorizzativi,
                                                                                        ElencoStrutturaAltaSpecRequest request)

  Questo servizio restituisce i dati di una o più strutture che erogano prestazioni ad alta specialità presenti sul territorio regionale e che soddisfano i criteri di ricerca specificati. La ricerca viene eseguita per codice struttura o, in alternativa, combinando le seguenti informazioni: tipo struttura, nome struttura (o parte iniziale di esso). Il servizio restituirà al massimo una struttura nel caso in cui sia stato inserito il codice struttura o se i criteri di ricerca inseriti ne permettono l'individuazione univoca. Restituirà un elenco nel caso in cui le strutture presenti nel sistema che soddisfano i criteri di ricerca siano più di una.

  Parameters:
    `attributiAutorizzativi` - dati dell'operatore
    `ElencoStrutturaAltaSpecRequest` - criteri di ricerca
  Returns:
    Vector elenco delle strutture che soddisfano i criteri di ricerca
  Throws:
    `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 220010: Inserire almeno un filtro per la ricerca.
    - 100000: Il servizio non è al momento disponibile. Stiamo lavorando per ripristinarlo. Vi preghiamo di riprovare più tardi. Se il problema persiste, chiamare il servizio di assistenza agli utenti.

### getElencoApparecchiature

    public java.util.Vector<ElencoApparecchiatureResponse> getElencoApparecchiature(AttributiAutorizzativi attributiAutorizzativi,
                                                                                    ElencoApparecchiatureRequest request)

  Questo servizio fornisce i dati di una o più apparecchiature di alta specializzazione presenti sul territorio regionale che soddisfano il criterio di ricerca, con individuazione della Struttura Sanitaria presso la quale è collocata la singola apparecchiatura e la data di attivazione. La ricerca viene effettuata scegliendo la tipologia di apparecchiatura; qualora questa selezione non sia effettuata, la ricerca riguarderà tutte le apparecchiature disponibili.

  Parameters:
    `attributiAutorizzativi` - dati dell'operatore
    `ElencoApparecchiatureRequest` - criteri di ricerca
  Returns:
    Vector elenco delle apparecchiature che soddisfano i criteri di ricerca
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 100000: Il servizio non è al momento disponibile. Stiamo lavorando per ripristinarlo. Vi preghiamo di riprovare più tardi. Se il problema persiste, chiamare il servizio di assistenza agli utenti.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD